<?xml version="1.0" encoding="UTF-8"?>
<actions>
        <action>
            <actionName>build</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>package</goal>
            </goals>
            <properties>
                <skipTests>true</skipTests>
            </properties>
        </action>
        <action>
            <actionName>clean</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>clean</goal>
            </goals>
            <properties>
                <skipTests>true</skipTests>
            </properties>
        </action>
        <action>
            <actionName>build-with-dependencies</actionName>
            <reactor>also-make</reactor>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>install</goal>
            </goals>
            <properties>
                <skipTests>true</skipTests>
            </properties>
        </action>
        <action>
            <actionName>rebuild</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>clean</goal>
                <goal>install</goal>
            </goals>
            <properties>
                <skipTests>true</skipTests>
            </properties>
        </action>
        <action>
            <actionName>CUSTOM-clean install</actionName>
            <displayName>clean install</displayName>
            <goals>
                <goal>clean</goal>
                <goal>install</goal>
            </goals>
        </action>
        <action>
            <actionName>CUSTOM-clean package</actionName>
            <displayName>clean package</displayName>
            <goals>
                <goal>clean</goal>
                <goal>package</goal>
            </goals>
        </action>
        <action>
            <actionName>run</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-classpath %classpath com.peterswing.PeterSwing</exec.args>
                <exec.executable>java</exec.executable>
                <exec.workingdir>/Users/peter/NetBeansProjects/peter-swing</exec.workingdir>
            </properties>
        </action>
        <action>
            <actionName>debug</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-Xdebug -Xrunjdwp:transport=dt_socket,server=n,address=${jpda.address} -classpath %classpath com.peterswing.PeterSwing</exec.args>
                <exec.executable>java</exec.executable>
                <jpda.listen>true</jpda.listen>
                <exec.workingdir>/Users/peter/NetBeansProjects/peter-swing</exec.workingdir>
            </properties>
        </action>
        <action>
            <actionName>profile</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:1.2.1:exec</goal>
            </goals>
            <properties>
                <exec.args>-classpath %classpath com.peterswing.PeterSwing</exec.args>
                <exec.executable>java</exec.executable>
                <exec.workingdir>/Users/peter/NetBeansProjects/peter-swing</exec.workingdir>
            </properties>
        </action>
    </actions>
